% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fastrInteropt.R
\name{export}
\alias{export}
\title{Explicitly exports a polyglot symbol. Exporting a symbol with a NULL value will remove the
symbol from the polyglot object.
The exported symbol value can either be a polyglot object (e.g. a native
object from another language) to support interoperability between languages,
or a R object.}
\usage{
export(symbolName, value)
}
\arguments{
\item{symbolName}{character string. The name with which the symbol should be exported into the polyglot
scope.}

\item{value}{The value to export for}
}
\description{
Explicitly exports a polyglot symbol. Exporting a symbol with a NULL value will remove the
symbol from the polyglot object.
The exported symbol value can either be a polyglot object (e.g. a native
object from another language) to support interoperability between languages,
or a R object.
}
\examples{
export('foo', 'foo')
export('foo', new.env())
}
\seealso{
\code{\link{import}}
}
